#!/bin/sh
config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
## List of conf files to check.  The conf files in your package should end in .new
config etc/vga/dvorak-us.keymap.new
config etc/vga/fontdata.new
config etc/vga/libvga.config.new
config etc/vga/libvga.et4000.new
config etc/vga/null.keymap.new
config etc/vga/textregs.new


( cd usr/lib64 ; rm -rf lib3dkit.so.1 )
( cd usr/lib64 ; ln -sf lib3dkit.so.1.9.25 lib3dkit.so.1 )
( cd usr/lib64 ; rm -rf libvgagl.so.1 )
( cd usr/lib64 ; ln -sf libvgagl.so.1.9.25 libvgagl.so.1 )
( cd usr/lib64 ; rm -rf libvgagl.so )
( cd usr/lib64 ; ln -sf libvgagl.so.1.9.25 libvgagl.so )
( cd usr/lib64 ; rm -rf lib3dkit.so )
( cd usr/lib64 ; ln -sf lib3dkit.so.1.9.25 lib3dkit.so )
( cd usr/lib64 ; rm -rf libvga.so )
( cd usr/lib64 ; ln -sf libvga.so.1.9.25 libvga.so )
( cd usr/lib64 ; rm -rf libvga.so.1 )
( cd usr/lib64 ; ln -sf libvga.so.1.9.25 libvga.so.1 )
